Skip to main content

Payments with Shipping Address Tokens


A shipping address token is associated with a specific customer token. To make a payment using a shipping address token, you must either create the token in the authorization request or include the customer token ID as the value in the paymentInformation.customer.id and paymentInformation.shippingAddress.id fields. You can make payments using non-default shipping address tokens.

Authorize a Payment with a Non-Default Shipping Address

This operation authorizes a payment and explicitly specifies a non-default shipping address token for the order.

Endpoint

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "12345678"  },  "paymentInformation": {    "customer": {      "id": "F45FB3E443AC3C57E053A2598D0A9CFF"    },    "shippingAddress": {      "id": "F45FD8DE51B99E9CE053A2598D0AFDFA"    }  },  "orderInformation": {    "amountDetails": {      "currency": "USD",      "totalAmount": "10.00"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7055949037316786904953/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7055949037316786904953"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7055949037316786904953/captures"    }  },  "clientReferenceInformation": {    "code": "12345678"  },  "id": "7055949037316786904953",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "10.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "instrumentIdentifier": {      "id": "7030000000014831523",      "state": "ACTIVE"    },    "shippingAddress": {      "id": "F45FD8DE51B99E9CE053A2598D0AFDFA"    },    "paymentInstrument": {      "id": "F45FE45E7993C7DBE053A2598D0AED19"    },    "card": {      "type": "001"    },    "customer": {      "id": "F45FB3E443AC3C57E053A2598D0A9CFF"    }  },  "pointOfSaleInformation": {    "terminalId": "111111"  },  "processorInformation": {    "approvalCode": "888888",    "networkTransactionId": "123456789619999",    "transactionId": "123456789619999",    "responseCode": "100",    "avs": {      "code": "X",      "codeRaw": "I1"    }  },  "reconciliationId": "674679208RIKQ52K",  "status": "AUTHORIZED",  "submitTimeUtc": "2024-01-18T16:21:44Z"}
FieldTypeDescription
clientReferenceInformation.code
orderInformation.amountDetails.currencyFor RuPay HDFC, set the value to INR. Vero supports Brazilian real (BRL) currency only.
orderInformation.amountDetails.totalAmountstringThe total amount for the order.
paymentInformation.customer.idstringSet to the ID of the customer token you want to use.
paymentInformation.shippingAddress.idstringSet to the ID of the shipping address token you want to use.

Last published: September 29, 2026